Package org.eclipse.net4j.util.io

# Class GZIPStreamWrapper.Factory

java.lang.Object
org.eclipse.net4j.util.factory.Factory
org.eclipse.net4j.util.io.IStreamWrapper.Factory
org.eclipse.net4j.util.io.GZIPStreamWrapper.Factory

All Implemented Interfaces:
  `IFactory`, `IFactoryKeyAware`

Enclosing class:
  `GZIPStreamWrapper`

public static class GZIPStreamWrapper.Factory extends IStreamWrapper.Factory

Since:
  3.6
Author:
  Esteban Dugueperoux

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`TYPE`

### Fields inherited from class org.eclipse.net4j.util.io.IStreamWrapper.Factory

`PRODUCT_GROUP`

### Fields inherited from class org.eclipse.net4j.util.factory.Factory

`NO_DESCRIPTION`

## Constructor Summary

Constructors
Constructor
Description
`Factory()`

## Method Summary

Modifier and Type
Method
Description
`IStreamWrapper`
`create(String description)`

### Methods inherited from class org.eclipse.net4j.util.factory.Factory

`getDescriptionFor, getFactoryKey, getKey, getProductGroup, getType, productCreationException, productCreationException, setFactoryKey, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### TYPE

public static final String TYPE

See Also:
  - Constant Field Values

## Constructor Details

### Factory

public Factory()

## Method Details

### create

public IStreamWrapper create(String description) throws ProductCreationException

Specified by:
  `create` in interface `IFactory`
Specified by:
  `create` in class `IStreamWrapper.Factory`
Throws:
  `ProductCreationException`